<?php
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);
	
	if(!$_SESSION['loggedin']) {
		header("Location: login.php");exit;
	}

	// GET ACCOUNT TYPE
	$type    = $_GET['type'];
	$user_id = $_SESSION['User']['id'];
    $role    = $_SESSION['User']['role'];
    $user_name = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
    $profile_image = $_SESSION['User']['image'] ? 'assets/images/users/' . $_SESSION['User']['image'] : 'assets/images/users/no_image.jpg';

    // OPEN DB CONNECTION
	require('dbconfig.php');

	$lists = array();
	$list_sql    = "SELECT * FROM leadlists WHERE user_id=$user_id ORDER BY created DESC";
	$list_result = $conn->query($list_sql);

	if($list_result->num_rows > 0){
		$count = 0;
		while($list_row = $list_result->fetch_assoc()) {
			$lists[$count] = $list_row;
			$count++;
		}
	}

	// CLOSE DB CONNECTION
	$conn->close();
?>
<!doctype html>
<html lang="en">

<head>

	<meta charset="utf-8" />
	<title>Add Contact | Anovite - Admin & Dashboard</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="Anovite Admin & Dashboard" name="description" />
  	<meta content="Global Home Business" name="author" />

	<!-- App favicon -->
	<link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

	<!-- Bootstrap Css -->
	<link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
	<!-- Icons Css -->
	<link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
	<!-- App Css-->
	<link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
	<!-- App js -->
	<script src="assets/js/plugin.js?v=09889"></script>

	<link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

</head>

<body data-sidebar="dark">

	<div class="splash">
	    <div class="spinner-container">
	        <center><div class="splash-icon"></div></center>
	        <div class="loading-text">Processing your request...</div>
	    </div>
	</div>

	<div class="toast-container position-fixed bottom-0 end-0">
		<div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
			<div class="toast-header">
				<img src="assets/images/logo-sm.png" height="25" class="rounded me-2" alt="Image not found">
				<strong class="me-auto">Message</strong>
				<small class="text-muted">Just now</small>
				<button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
			</div>
			<div class="toast-body">

			</div>
		</div>
	</div>

	<!-- Begin page -->
	<div id="layout-wrapper">


		<?php include_once 'header.php'; ?>

		<!-- ========== Left Sidebar Start ========== -->
		<?php include_once 'sidebar.php'; ?>
		<!-- Left Sidebar End -->

		<!-- ============================================================== -->
            <!-- Start right Content here -->
            <!-- ============================================================== -->
            <div class="main-content">

                <div class="page-content">
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                    <h4 class="mb-sm-0 font-size-18">Add Contact</h4>
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="contacts.php?token=<?php echo md5(rand());?>">Contacts</a></li>
                                            <li class="breadcrumb-item active">add</li>
                                        </ol>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <!-- end page title -->
        
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title">Add a contact</h4>
                                        <p class="card-title-desc">Access and Manage Your Email Marketing Contacts</p>
        								<form method="POST" action="#" class="addcontact-form">
        									<input type="hidden" name="data[indicator]" value="add_contact">
        									<input type="hidden" name="data[user_id]" value="<?php echo $user_id;?>">
        									<div class="row">
        										<div class="col-md-6 mb-3">
		        									<label for="type" class="form-label">Type<span class="text-danger">*</span></label>
		                                            <select class="form-select" name="data[type]" required>
		                                                <option value="">Choose...</option>
		                                                <option value="bsprospect">Associate</option>
		                                                <option value="csprospect">Customer</option>
		                                            </select>
		                                        </div>
	        									<div class="col-md-6 mb-3">
		        									<label for="list_id" class="form-label">List<span class="text-danger">*</span></label>
		                                            <select class="form-select" name="data[list_id]" required>
		                                                <option value="">Choose...</option>
		                                                <?php foreach ($lists as $key => $list) : ?>
		                                                <option value="<?php echo $list['id']; ?>"><?php echo $list['name']; ?></option>
		                                            	<?php endforeach; ?>
		                                            </select>
		                                        </div>
												<div class="col-md-6 mb-3">
													<label for="first_name" class="form-label">First Name<span class="text-danger">*</span></label>
													<input type="text" class="form-control" name="data[first_name]" required>
												</div>
												<div class="col-md-6 mb-3">
													<label for="last_name" class="form-label">Last Name<span class="text-danger">*</span></label>
													<input type="text" class="form-control" name="data[last_name]" required>
												</div>
												<div class="col-md-6 mb-3">
													<label for="email" class="form-label">Email<span class="text-danger">*</span></label>
													<input type="email" class="form-control" name="data[email]" autocomplete="off" required>
												</div>
												<div class="col-md-6 mb-3">
													<label for="phone" class="form-label">Phone (Optional)</label>
													<input type="text" class="form-control" name="data[phone]">
												</div>
											</div>
											<div class="mb-3">
												<label for="note" class="form-label">Note</label>
												<textarea class="form-control" rows="5"></textarea>
											</div>
											<div class="mb-3 d-md-block d-grid">
												<a href="contacts.php?token=<?php echo md5(rand());?>" class="btn btn-danger waves-effect waves-light mb-3"><i class="bx bx-reply"></i> Back</a>
												<button class="btn btn-primary waves-effect waves-light mb-3" type="submit"> <i class="bx bx-plus"></i> Add</button>
											</div>
        								</form>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div> <!-- end row -->

                    </div> <!-- container-fluid -->
                </div>
                <!-- End Page-content -->

                
                <?php include_once 'footer.php'; ?>
            </div>
            <!-- end main content-->

	</div>
	<!-- END layout-wrapper -->

	<!-- JAVASCRIPT -->
	<script src="assets/libs/jquery/jquery.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
	<script src="assets/libs/metismenu/metisMenu.min.js"></script>
	<script src="assets/libs/simplebar/simplebar.min.js"></script>
	<script src="assets/libs/node-waves/waves.min.js"></script>

	<!-- validation init -->
	<script src="assets/libs/validator/jquery.validate.min.js"></script>
  	<script src="assets/libs/validator/additional-methods.min.js"></script>

	<script src="assets/js/app.js"></script>
	<script src="assets/js/custom.js?v=<?php echo rand();?>"></script>
</body>

</html>