<?php
	session_start();
	error_reporting(0);

	//Import PHPMailer classes into the global namespace
	//These must be at the top of your script, not inside a function
	use PHPMailer\PHPMailer\PHPMailer;
	use PHPMailer\PHPMailer\SMTP;
	use PHPMailer\PHPMailer\Exception;
	
	// OPEN DB CONNECTION
	require('dbconfig.php');

	// FIND SCHEDULED ESHOT
	$token     = md5(rand());
	$created   = date('Y-m-d H:i:s');
	$curr_year = date('Y');
	$curr_time = date('Y-m-d H:i:s');
	$prev_time = date('Y-m-d H:i:s', strtotime('- 1 minute', strtotime($curr_time)));

	$eshot_sql    = "SELECT * FROM eshots WHERE status = 1 AND sending_date BETWEEN '$prev_time' AND '$curr_time'";
	$eshot_result = $conn->query($eshot_sql);

	if($eshot_result->num_rows > 0){

		while($row = $eshot_result->fetch_assoc()) {

			$trackingid   = substr(md5(rand()), 0, 10);
			$eshot_id     = $row['id'];
			$user_id      = $row['user_id'];
			$prospect_id  = $row['prospect_id'];
			$ptemplate_id = $row['ptemplate_id'];

			// GET THE APP CODE
			$sender_sql     = "SELECT * FROM users WHERE id=$user_id LIMIT 1";
			$sender_result  = $conn->query($sender_sql);
			$sender_row     = $sender_result->fetch_assoc();
			$sender_name    = $sender_row['first_name'] . ' ' . $sender_row['last_name'];
			$sender_email   = $sender_row['email'];
			$sender_phone   = $sender_row['phone'];
			$anoviteid      = $sender_row['anoviteid'];

			$signuprp_link  = 'https://'. $anoviteid .'.anovite.com/join-now/';
			$morinfrp_link  = 'https://'. $anoviteid .'.anovite.com/whyanovitebusiness/';
			$business_link  = $sender_row['business_link'];
			$capture_link   = $sender_row['capture_link'];

			$prospect_sql    = "SELECT * FROM prospects WHERE id=$prospect_id LIMIT 1";
			$prospect_result = $conn->query($prospect_sql);
			$prospect_row    = $prospect_result->fetch_assoc();
			$first_name      = $prospect_row['first_name'];
			$prospect_name   = $prospect_row['first_name'] . ' ' . $partner_row['last_name'];
			$prospect_email  = $prospect_row['email'];
			$prospect_type   = $prospect_row['type'];

			// FIND EMAIL TEMPLATES
			$template_sql  = "SELECT * FROM ptemplates WHERE user_id=$user_id AND id=$ptemplate_id LIMIT 1";
			$template_info = $conn->query($template_sql);
			$template_row  = $template_info->fetch_assoc();
			$subject_line  = mysqli_real_escape_string($conn, $template_row['subject_line']);
			$html_content  = $template_row['html_content'];

			// CREATE 7 MIN VIDEO LINK
			$sevenvideo_link = 'https://ghbsystem.co.uk/autoredirect.php?url=' . $business_link . '&indc=busins&uid=' . $user_id . '&pid=' . $prospect_id . '&token=' . $trackingid ;
			$moreinfo_link   = 'https://ghbsystem.co.uk/autoredirect.php?url=' . $morinfrp_link . '&indc=morinf&uid=' . $user_id . '&pid=' . $prospect_id . '&token=' . $trackingid ;
			$signup_link     = 'https://ghbsystem.co.uk/autoredirect.php?url=' . $signuprp_link . '&indc=signup&uid=' . $user_id . '&pid=' . $prospect_id . '&token=' . $trackingid ;

			// CONTENT REPLACEMENT
			$replace_first_name      = str_replace('FIRST_NAME', $first_name, $html_content);
			$replace_sevenvideo_link = str_replace('7MINVIDEO_LINK', $sevenvideo_link, $replace_first_name);
			$replace_signup_link     = str_replace('SIGNUP_LINK', $signup_link, $replace_sevenvideo_link);
			$replace_moreinfo_link   = str_replace('MOREINFO_LINK', $moreinfo_link, $replace_signup_link);
			$replace_sender_name     = str_replace('SENDER_NAME', $sender_name, $replace_moreinfo_link);
			$replace_sender_email    = str_replace('SENDER_EMAIL', $sender_email, $replace_sender_name);
			$template_html           = str_replace('SENDER_PHONE', $sender_phone, $replace_sender_email);

			// BUILD THE TEMPLATE
			$template = '<!DOCTYPE html> <html lang="en"> <head> <meta charset="UTF-8"> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <title>Anovite</title> <style> @import url(\'https://fonts.cdnfonts.com/css/calibri\'); body { margin: 0; padding: 0; } .container { max-width: 600px; margin: 0 auto; font-size: 16px; font-family: \'Calibri\', sans-serif; background-color: #f2f2f2; } .content{ padding: 15px; min-height:300px;} .header img { max-width: 100%; height: auto; } .footer { background-color: #29abe2; text-align: center; padding: 15px 15px; color: white; font-size: 12px;} </style> </head> <body> <div class="container"> <div class="header"> <img src="https://ghbsystem.co.uk/assets/images/email_header.jpg" alt="Header Image"> </div> <div class="content"> ' . $template_html . ' </div> <div class="footer"> <p>You are receiving this email because you requested information from Anovite\'s Income Opportunity. If you do not want to hear any more about this, <a href="https://ghbsystem.co.uk/unsubscribe.php?tid='. $trackingid .'">click here</a>, and we will remove you from this series.</p> <p>&copy; '. date('Y') .' GHB. All rights reserved</p> </div> </div> <img src="https://ghbsystem.co.uk/tracking.php?tid='. $trackingid .'" alt="Image not found" style="display:none;"> </body> </html>';

			//************************************//
			//******* EMAIL CONFIGURATION ********//
			//************************************//

			//Load Composer's autoloader
			require 'vendor/autoload.php';

			//Create an instance; passing `true` enables exceptions
			$mail = new PHPMailer(true);

			try {
			    //Server settings
			    $mail->CharSet    = 'UTF-8';
			    $mail->SMTPDebug  = false; 
			    $mail->isSMTP();
			    $mail->Host       = 'ghbsystem.co.uk';
			    $mail->SMTPAuth   = true;
			    $mail->Username   = 'support@ghbsystem.co.uk';
			    $mail->Password   = 'San&#040206';
			    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
			    $mail->Port       = 465;

			    //Recipients
			    $mail->setFrom('support@ghbsystem.co.uk', $sender_name);
			    $mail->addAddress($prospect_email, $prospect_name);
			    $mail->addReplyTo($sender_email, $sender_name);

			    //Content
			    $mail->isHTML(true);
			    $mail->Subject = $subject_line;
			    $mail->Body    = $template;

			    //SEND EMAIL TO THE USER
				if($mail->send()){
					
					// UPDATE ESHOT
					$update_sql = "UPDATE eshots SET status=0 WHERE id='$eshot_id'";
					$conn->query($update_sql);

					// UPDATE EMAIL TRACKING
					$tracking_sql = "INSERT INTO trackings (user_id, prospect_id, trackingid, subject_line, delivered, created) VALUES ('$user_id', '$prospect_id', '$trackingid', '$subject_line', 1, '$created')";
					$conn->query($tracking_sql);

					// ADD INFO TO FOOTPRINT
					$footprint_indc = 'followupemail';
					$footprint_desc = 'Follow up email has been sent (Subject: '. $subject_line .')';
					$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$user_id', '$prospect_id', '$footprint_desc', '$footprint_indc', '$created')";
					$conn->query($footprint_sql);
				} else {
					// UPDATE EMAIL TRACKING
					$tracking_sql = "INSERT INTO trackings (user_id, prospect_id, trackingid, subject_line, bounced, created) VALUES ('$user_id', '$prospect_id', '$trackingid', '$subject_line', 1, '$created')";
					$conn->query($tracking_sql);
				}

			} catch (Exception $e) {
			   // do something else
			}
		}
	}

	// CLOSE DB CONNECTION
	$conn->close();
?>