<?php
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);

	//Import PHPMailer classes into the global namespace
	//These must be at the top of your script, not inside a function
	use PHPMailer\PHPMailer\PHPMailer;
	use PHPMailer\PHPMailer\SMTP;
	use PHPMailer\PHPMailer\Exception;

	if(isset($_POST) && !empty($_POST['data']['indicator'])){

		$data      = $_POST['data'];
		$indicator = $_POST['data']['indicator'];	

		switch ($indicator) {
			case 'register';
				register($data);
				break;
			case 'secure_login':
				secure_login($data);
				break;
			case 'change_password':
				change_password($data);
				break;
			case 'forget_password':
				forget_password($data);
				break;
			case 'reset_password':
				reset_password($data);
				break;
			case 'edit_user':
				$data = array_merge($data, $_FILES);
				edit_user($data);
				break;
			case 'render_contact':
				render_contact($data);
				break;
			case 'add_contact':
				add_contact($data);
				break;
			case 'edit_contact':
				edit_contact($data);
				break;
			case 'delete_contact':
				delete_contact($data);
				break;
			case 'view_count':
				view_count($data);
				break;
			case 'lead_capture':
				lead_capture($data);
				break;
			case 'csv_upload':
				$data = array_merge($data, $_FILES);
				csv_upload($data);
				break;
			case 'send_email':
				$data = array_merge($data, $_FILES);
				send_email($data);
				break;
			case 'send_sms':
				send_sms($data);
				break;
			case 'bulkemail_sending':
				$data = array_merge($data, $_FILES);
				bulkemail_sending($data);
				break;
			case 'bulksms_sending':
				$data = array_merge($data, $_FILES);
				bulksms_sending($data);
				break;
			case 'video_upload':
				$data = array_merge($data, $_FILES);
				video_upload($data);
				break;
			case 'video_message':
				video_message($data);
				break;
			case 'render_video':
				render_video($data);
				break;
			case 'update_template':
				update_template($data);
				break;
			case 'reset_template':
				reset_template($data);
				break;
			case 'start_followup':
				start_followup($data);
				break;
			default:
				# code...
				break;
		}
	}

	//upload file
	function upload($file){
		if(!empty($file)){
			if(is_uploaded_file($file['tmp_name'])){
				$tmp  = explode('.', $file['name']);
				$ext  = strtolower(array_pop($tmp));
				$name = substr(md5(rand()), 0, 12) . '.' .$ext;
				$dest = 'assets/images/users/' . $name;
				if(move_uploaded_file($file['tmp_name'], $dest)){
					return $name;
				}				
			}
		}
	}

	//upload file
	function upload_video($file){
		if(!empty($file)){
			if(is_uploaded_file($file['tmp_name'])){
				$tmp  = explode('.', $file['name']);
				$ext  = strtolower(array_pop($tmp));
				$name = substr(md5(rand()), 0, 12) . '.' .$ext;
				$dest = 'files/videos/' . $name;
				if(move_uploaded_file($file['tmp_name'], $dest)){
					return $name;
				}				
			}
		}
	}

	//upload file
	function upload_attachment($file){
		if(!empty($file)){
			if(is_uploaded_file($file['tmp_name'])){
				$tmp  = explode('.', $file['name']);
				$ext  = strtolower(array_pop($tmp));
				$name = substr(md5(rand()), 0, 12) . '.' . $ext;
				$dest = 'assets/files/attachments/' . $name;
				if(move_uploaded_file($file['tmp_name'], $dest)){
					return $name;
				}				
			}
		}
	}

	function register($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$first_name = $data['first_name'];
		$last_name  = $data['last_name'];
		$email      = $data['email'];
		$password   = md5($data['password']);
		$phone      = $data['phone'];
		$role       = 'user';
		$token      = md5(rand());
		$country    = $data['country'];
		$created    = date('Y-m-d H:i:s');
		$real_password = $data['password'];

		// GOOGLE RECAPTCHA VERIFICATION
		$recaptcha_response = $_POST['g-recaptcha-response'];
		$recap_url  = 'https://www.google.com/recaptcha/api/siteverify';
		$recap_data = 'secret=6Lc54QEmAAAAAOeSb-dFMKTFix8sRz-J2Lc-ya7z&response=' . $recaptcha_response;

		// MAKE CURL POST REQUEST TO VERIFIY BOT
		$ch = curl_init();  
		curl_setopt($ch, CURLOPT_URL, $recap_url);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/x-www-form-urlencoded; charset=utf-8', 'Content-Length: ' . strlen($recap_data)));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $recap_data);
		$googresp	 = curl_exec($ch);       
		$decgoogresp = (array) json_decode($googresp);
		curl_close($ch);

		// CHECK THE USER TO PROTECT
		if($decgoogresp['success'] == true){

			// CHECK IF THE EMAIL ALREADY EXIST
			$sql    = "SELECT * FROM users WHERE email='$email'";
			$result = $conn->query($sql);
			if($result->num_rows > 0){
				echo json_encode(array('status' => false, 'msg' => 'Email already exist'));
			} else {
				$add_sql = "INSERT INTO users (first_name, last_name, email, password, real_password, phone, country, token, role, created) VALUES ('$first_name', '$last_name', '$email', '$password', '$real_password', '$phone', '$country', '$token', '$role', '$created')";
				if($conn->query($add_sql) === TRUE){

					// GET THE USER ID
					$user_id  = $conn->insert_id;

					// ADD NEW TEMPLATES
					$template_sql    = "SELECT * FROM templates";
					$template_result = $conn->query($template_sql);
					while($template_row = $template_result->fetch_assoc()) {

						$priority     = mysqli_real_escape_string($conn, $template_row['priority']);
						$time_unit    = mysqli_real_escape_string($conn, $template_row['time_unit']);
						$indicator    = mysqli_real_escape_string($conn, $template_row['indicator']);
						$subject_line = mysqli_real_escape_string($conn, $template_row['subject_line']);
						$html_content = mysqli_real_escape_string($conn, $template_row['html_content']);
						$sending_time = mysqli_real_escape_string($conn, $template_row['sending_time']);

						// ADD TEMPLATE TO USER
						$ptemplate_sql = "INSERT INTO ptemplates (user_id, subject_line, html_content, sending_time, time_unit, indicator, priority, created) VALUES ('$user_id', '$subject_line', '$html_content', '$sending_time', '$time_unit', '$indicator', '$priority', '$created')";
						$conn->query($ptemplate_sql);
					}

					// UPDATE USER SESSION
					$user_sql = "SELECT * FROM users WHERE id=$user_id";
					$result   = $conn->query($user_sql);
					$row      = $result->fetch_assoc();

					$_SESSION['User']     = $row;
					$_SESSION['loggedin'] = true;

					// CREATE ACCOUNT IN GHB SENDER
				    $anovite_data = array(
						'first_name' => $first_name,
						'last_name'  => $last_name,
						'email'      => $email,
						'password'   => $real_password,
						'phone'      => $phone,
						'country'    => $country,
						'token'      => $token
					);

				    // MAKE POST REQUEST TO CREATE BUSINESS REFERRAL USER
				    $curl = curl_init();  
				    curl_setopt($curl, CURLOPT_URL, "https://ghbsender.com/users/anovite_user");
				    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
				    curl_setopt($curl, CURLOPT_HEADER, false); 
				    curl_setopt($curl, CURLOPT_POST, 1);
				    curl_setopt($curl, CURLOPT_POSTFIELDS, $anovite_data); 
				    $result_data = curl_exec($curl); 
				    curl_close($curl);

					echo json_encode(array('status' => true, 'token'=> $token, 'msg' => 'Account created successfully'));
				} else {
					echo json_encode(array('status' => false, 'token'=> '', 'msg' => 'Failed to create account'));
				}
			}
		} else {
			echo json_encode(array('status' => false, 'token'=> '', 'msg' => 'You have tried too many times, please wait a few minutes or refresh the page and try again.'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	// Function to set a login cookie
	function setLoginCookie($email, $password) {
	    $expiry = time() + 30 * 24 * 60 * 60; // 30 days
	    setcookie('remember_me', base64_encode($email . ':' . $password), $expiry, '/');
	}

	function secure_login($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$token = md5(rand());
		$email = mysqli_real_escape_string($conn, $data['email']);
		$password = mysqli_real_escape_string($conn, $data['password']);
		$remember_me = mysqli_real_escape_string($conn, $data['remember_me']);

		$user_sql = "SELECT * FROM users WHERE email='$email' LIMIT 1";
		$result   = $conn->query($user_sql);
		$row      = $result->fetch_assoc();

		if($row['password'] == md5($password)) {

			$_SESSION['User']     = $row;
			$_SESSION['loggedin'] = true;

			// Check if "Remember Me" is selected
	        if (isset($remember_me) && !empty($remember_me)) {
	            setLoginCookie($email, $password);
	        }
			echo json_encode(array('status' => true, 'token'=> $token, 'msg' => 'Login success'));
		} else {
			echo json_encode(array('status' => false, 'token'=> '', 'msg' => 'Login error'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function forget_password($data){
		
		// OPEN DB CONNECTION
		require('dbconfig.php');

		// GET THE DATA
		$email = $data['email'];

		// GET CURRENT YEAR
		$curr_year = date('Y');

		// CHECK IF THE EMAIL ALREADY EXIST
		$user_sql = "SELECT * FROM users WHERE email='$email'";
		$result = $conn->query($user_sql);
		if($result->num_rows > 0){

			$user_row   = $result->fetch_assoc();
			$user_id    = $user_row['id'];
			$first_name = $user_row['first_name'];

			// GENERATE NEW TOKEN
			$password_token = md5(rand());
			$reset_link = 'https://ghbsystem.co.uk/reset-password.php?token=' . $password_token;

			// BUILD THE TEMPLATE
			$subject_line = 'Reset password notification';
			$template = '<!DOCTYPE html> <html lang="en"> <head> <meta charset="UTF-8"> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <title>Anovite</title> <style> @import url(\'https://fonts.cdnfonts.com/css/calibri\'); body { margin: 0; padding: 0; } .container { max-width: 600px; margin: 0 auto; font-size: 16px; font-family: \'Calibri\', sans-serif; background-color: #f2f2f2; } .content{ padding: 15px; min-height:300px;} .header img { max-width: 100%; height: auto; } .footer { background-color: #29abe2; text-align: center; padding: 15px 15px; color: white;} </style> </head> <body> <div class="container"> <div class="header"> <img src="https://ghbsystem.co.uk/assets/images/email_header.jpg" alt="Header Image"> </div> <div class="content"> <h4>Hello!</h4> <p>You are receiving this email because we received a password reset request for your account.</p> <p style="margin-top:30px;margin-bottom:30px;text-align:center;"><a href="'. $reset_link .'" style="background: #81385B; border-radius:25px; padding: 8px 25px; font-size: 20px; color: #fff; text-decoration: none;">RESET PASSWORD</a></p> <p>If you did not request a password reset, no further action is required.</p> <p>If you\'re having trouble clicking the "Reset Password" button, copy and paste the URL below into your web browser:'. $reset_link .'</p> </div> <div class="footer"> <p>&copy; '. date('Y') .' GHB. All rights reserved</p> </div> </div> </body> </html>';

			//************************************//
			//******* EMAIL CONFIGURATION ********//
			//************************************//

			//Load Composer's autoloader
			require 'vendor/autoload.php';

			//Create an instance; passing `true` enables exceptions
			$mail = new PHPMailer(true);

			try {
			    //Server settings
			    $mail->SMTPDebug  = false; 
			    $mail->isSMTP();
			    $mail->Host       = 'ghbsystem.co.uk';
			    $mail->SMTPAuth   = true;
			    $mail->Username   = 'support@ghbsystem.co.uk';
			    $mail->Password   = 'San&#040206';
			    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
			    $mail->Port       = 465;

			    //Recipients
			    $mail->setFrom('support@ghbsystem.co.uk', 'NJT Support');
			    $mail->addAddress($email, $first_name);

			    //Content
			    $mail->isHTML(true);
			    $mail->Subject = $subject_line;
			    $mail->Body    = $template;
			    $mail->CharSet = 'UTF-8';

			    //SEND EMAIL
				if($mail->send()){

					// UPDATE USER
					$update_sql = "UPDATE users SET password_token='$password_token' WHERE id='$user_id'";
					$conn->query($update_sql);

					echo json_encode(array('status' => true, 'msg' => 'Email sent'));
				} else {
					echo json_encode(array('status' => false, 'msg' => 'Error! when sending email'));
				}
			} catch (Exception $e) {
			    echo json_encode(array('status' => false, 'msg' => 'Error! when sending email'));
			}
		} else {
			echo json_encode(array('status' => false, 'msg' => 'Email is not registered'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function reset_password($data){
		
		// OPEN DB CONNECTION
		require('dbconfig.php');

		// GET THE DATA
		$password       = md5($data['password']);
		$real_password  = $data['password'];
		$password_token = $data['password_token'];

		// CHECK IF THE EMAIL ALREADY EXIST
		$user_sql = "SELECT * FROM users WHERE password_token='$password_token'";
		$result = $conn->query($user_sql);
		if($result->num_rows > 0){

			$user_row   = $result->fetch_assoc();
			$user_id    = $user_row['id'];
			
			// UPDATE USER
			$update_sql = "UPDATE users SET password='$password', real_password='$real_password', password_token=NULL WHERE id='$user_id'";
			$result = $conn->query($update_sql);

			echo json_encode(array('status' => true, 'msg' => 'Password successfully updated'));
		} else {
			echo json_encode(array('status' => false, 'msg' => 'Token invalid or expired'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function change_password($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$user_id       = $_SESSION['User']['id'];
		$real_password = $data['new_password'];
		$password      = md5($real_password);

		// UPLOAD IMAGE
		$update_sql = "UPDATE users SET real_password='$real_password', password='$password' WHERE id='$user_id'";
		if($conn->query($update_sql) === TRUE) {

			$user_sql = "SELECT * FROM users WHERE id='$user_id' LIMIT 1";
			$result   = $conn->query($user_sql);
			$updated_info = $result->fetch_assoc();

			$_SESSION['User']     = $updated_info;
			$_SESSION['loggedin'] = true;

			echo json_encode(array('status' => true, 'msg' => 'Password successfully updated'));
		} else {
			echo json_encode(array('status' => false, 'msg' => 'Error! updating password'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function edit_user($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$user_id    = $data['user_id'];
		$first_name = $data['first_name'];
		$last_name  = $data['last_name'];
		$email      = $data['email'];
		$phone      = $data['phone'];
		$address    = $data['address'];
		$city       = $data['city'];
		$state      = $data['state'];
		$zip_code   = $data['zip_code'];
		$country    = $data['country'];
		$token      = md5(rand());
		$file       = $data['profile_image'];
		$tmp_name   = $data['profile_image']['tmp_name'];
		$capture_link  = $data['capture_link'];
		$business_link = $data['business_link'];

		// UPLOAD IMAGE
		if(!empty($tmp_name)){
			$image = upload($file);
			$update_sql = "UPDATE users SET first_name='$first_name', last_name='$last_name', email='$email', image='$image', phone='$phone', address='$address', city='$city', state='$state', zip_code='$zip_code', country='$country', capture_link='$capture_link', business_link='$business_link' WHERE id='$user_id'";
		} else {
			$update_sql = "UPDATE users SET first_name='$first_name', last_name='$last_name', email='$email', phone='$phone', address='$address', city='$city', state='$state', zip_code='$zip_code', country='$country', capture_link='$capture_link', business_link='$business_link' WHERE id='$user_id'";
		}
		if($conn->query($update_sql) === TRUE) {

			$user_sql = "SELECT * FROM users WHERE id='$user_id' LIMIT 1";
			$result   = $conn->query($user_sql);
			$updated_info = $result->fetch_assoc();

			$_SESSION['User']     = $updated_info;
			$_SESSION['loggedin'] = true;

			echo json_encode(array('status' => true, 'token' => $token, 'msg' => 'Profile successfully updated'));
		} else {
			echo json_encode(array('status' => false, 'token' => $token, 'msg' => 'Error! updating profile'));
		}
		// CLOSE DB CONNECTION
		$conn->close();
	}

	function csv_upload($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$type    = mysqli_real_escape_string($conn, $data['type']);
		$name    = mysqli_real_escape_string($conn, $data['name']);
		$token   = md5(rand());
		$error   = $data['csvfile']['error'];
		$user_id = $_SESSION['User']['id'];
		$created = date('Y-m-d H:i:s');
		$leadlist_id = mysqli_real_escape_string($conn, $data['leadlist_id']);
		
		if ($error == 0) {

			// Read the CSV file
			$file = $data['csvfile']['tmp_name'];
		    $csv  = array_map('str_getcsv', file($file));
		    
		    // Remove the header row
		    $header = array_shift($csv);

		    // Remove duplicates based on both name and email
			$contacts = array_map("unserialize", array_unique(array_map("serialize", $csv)));

			$old_count = count($csv);
			$new_count = count($contacts);
			$dupli_contact = $old_count-$new_count;

		    // CHECK FORMAT
		    if(filter_var($csv[0][2], FILTER_VALIDATE_EMAIL)) {

			    foreach($contacts as $key => $row) {

			    	$first_name = mysqli_real_escape_string($conn, $row[0]);
			    	$last_name  = mysqli_real_escape_string($conn, $row[1]);
			    	$email      = mysqli_real_escape_string($conn, $row[2]);
			    	$address    = mysqli_real_escape_string($conn, $row[3]);
			    	$phone      = mysqli_real_escape_string($conn, $row[4]);

			    	// INSERT CONTACTS
					$insert_sql = "INSERT INTO prospects (user_id, leadlist_id, first_name, last_name, type, email, address, phone, source, created) VALUES ('$user_id', '$leadlist_id', '$first_name', '$last_name', '$type', '$email', '$address', '$phone', 'csv', '$created')";
					$conn->query($insert_sql);
			    }
			    $message = $new_count . ' contact(s) successfully added and ' . $dupli_contact . ' contact(s) removed';
			    echo json_encode(array('status' => true, 'token' => $token, 'msg' => $message));
			} else {
				echo json_encode(array('status' => false, 'token' => $token, 'msg' => 'Wrong CSV format'));
			}
		} else {
			echo json_encode(array('status' => false, 'token' => $token, 'msg' => 'Failed to upload contacts'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function render_contact($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$type = $data['type'];
		$user_id = $_SESSION['User']['id'];

		$start_date = date('Y-m-d H:i:s', strtotime(str_replace('/', '-', $data['start_date'])));
		$end_date = date('Y-m-d H:i:s', strtotime(str_replace('/', '-', $data['end_date'])));

		// CHECK IF THE EMAIL ALREADY EXIST
		if($type == 'all'){
			$prospect_sql = "SELECT COUNT(id) AS count FROM prospects WHERE user_id='$user_id'";
			$result = $conn->query($prospect_sql);
			$result_count = $result->num_rows;
			$row = $result->fetch_assoc();
			$count = $row['count'];
		} else if($type == 'allus'){
			$prospect_sql = "SELECT COUNT(id) AS count FROM prospects WHERE user_id='$user_id' AND country='US'";
			$result = $conn->query($prospect_sql);
			$result_count = $result->num_rows;
			$row = $result->fetch_assoc();
			$count = $row['count'];
		} else if($type == 'alluk'){
			$prospect_sql = "SELECT COUNT(id) AS count FROM prospects WHERE user_id='$user_id' AND country='GB'";
			$result = $conn->query($prospect_sql);
			$result_count = $result->num_rows;
			$row = $result->fetch_assoc();
			$count = $row['count'];
		} else if($type == 'emailopen'){
			$prospect_sql = "SELECT COUNT(id) AS count FROM prospects WHERE user_id='$user_id' AND email_open=1 AND created BETWEEN '$start_date' AND '$end_date'";
			$result = $conn->query($prospect_sql);
			$result_count = $result->num_rows;
			$row = $result->fetch_assoc();
			$count = $row['count'];
		} else if($type == 'presentation'){
			$prospect_sql = "SELECT COUNT(id) AS count FROM prospects WHERE user_id='$user_id' AND presentation_click=1 AND created BETWEEN '$start_date' AND '$end_date'";
			$result = $conn->query($prospect_sql);
			$result_count = $result->num_rows;
			$row = $result->fetch_assoc();
			$count = $row['count'];
		} else {
			$result_count = 0;
			$count = 0;
		}
		
		if($result_count > 0){
			echo json_encode(array('status' => true, 'count' => $count));
		} else {
			echo json_encode(array('status' => false, 'count' => 0));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function add_contact($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$list_id     = $data['list_id'];
		$user_id     = $data['user_id'];
		$first_name  = $data['first_name'];
		$last_name   = $data['last_name'];
		$email       = $data['email'];
		$phone       = $data['phone'];
		$note        = $data['note'];
		$type        = $data['type'];
		$token       = md5(rand());
		$created     = date('Y-m-d H:i:s');

		// CHECK IF THE EMAIL ALREADY EXIST
		$check_sql = "SELECT * FROM prospects WHERE email='$email'";
		$check_result = $conn->query($check_sql);
		if($check_result->num_rows > 0){
			echo json_encode(array('status' => false, 'token' => $token, 'msg' => 'Email already exist'));
		} else {
			// ADD QUERY
			$add_sql = "INSERT INTO prospects (user_id, leadlist_id, first_name, last_name, type, email, phone, source, note, created) VALUES ('$user_id', '$list_id', '$first_name', '$last_name', '$type', '$email', '$phone', 'site', '$note', '$created')";
			if($conn->query($add_sql) === TRUE){

				// GET THE USER ID
				$prospect_id  = $conn->insert_id;

				echo json_encode(array('status' => true, 'token'=> $token, 'msg' => 'Contact added successfully'));
			} else {
				echo json_encode(array('status' => false, 'token'=> $token, 'msg' => 'Failed to add contact'));
			}
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function edit_contact($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$prospect_id = $data['prospect_id'];
		$user_id     = $data['user_id'];
		$first_name  = $data['first_name'];
		$last_name   = $data['last_name'];
		$email       = $data['email'];
		$phone       = $data['phone'];
		$address     = $data['address'];
		$city        = $data['city'];
		$state       = $data['state'];
		$post_code   = $data['post_code'];
		$country     = $data['country'];
		$type        = $data['type'];
		$note        = $data['note'];

		// GET THE CURRENT YEAR
		$curr_year = date('Y');
		$created   = date('Y-m-d H:i:s');

		// UPLOAD IMAGE
		$update_sql = "UPDATE prospects SET first_name='$first_name', last_name='$last_name', email='$email', phone='$phone', address='$address', city='$city', state='$state', post_code='$post_code', country='$country', type='$type', note='$note' WHERE id='$prospect_id'";
		if($conn->query($update_sql) === TRUE) {

			// TRIGGER AUTO FOLLOW UP
			if($type == 'bsassociate'){

				// DELETE OLD ESHOTS
				$delete_sql = "DELETE FROM eshots WHERE prospect_id='$prospect_id'";
				$conn->query($delete_sql);

				// FIND TEMPLATES
				$template_sql    = "SELECT * FROM ptemplates WHERE user_id='$user_id' AND indicator='bsassociate'";
				$template_result = $conn->query($template_sql);
				if($template_result->num_rows > 0){
					while($template_row = $template_result->fetch_assoc()) {

						$ptemplate_id = $template_row['id'];
						$time_unit    = $template_row['time_unit'];
						$sending_time = $template_row['sending_time'];

						// PICK THE CURRENT SERVER TIME
						$curr_date = date('Y-m-d H:i:s');

						if($sending_time == 0){
							$sending_date = date('Y-m-d H:i:s', strtotime('+ 1 minute', strtotime($curr_date)));
						} else if($sending_time == 1){
							$sending_date = date('Y-m-d H:i:s', strtotime('+ ' . $sending_time . ' ' . $time_unit, strtotime($curr_date)));
						} else {
							$sending_date = date('Y-m-d H:i:s', strtotime('+ ' . $sending_time . ' ' . $time_unit, strtotime($curr_date)));
						}

						// SCHEDULE TEMPLATES
						$eshot_sql = "INSERT INTO eshots (user_id, prospect_id, ptemplate_id, sending_date, status, created) VALUES ('$user_id', '$prospect_id', '$ptemplate_id', '$sending_date', 1, '$created')";
						$conn->query($eshot_sql);
					}
				}
			}

			echo json_encode(array('status' => true, 'token' => md5(rand()), 'msg' => 'Information successfully updated'));
		} else {
			echo json_encode(array('status' => false, 'token' => md5(rand()), 'msg' => 'Error! updating information'));
		}
		// CLOSE DB CONNECTION
		$conn->close();
	}
	
	function delete_contact($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$token      = md5(rand());
		$prospect_id = $data['prospect_id'];
		$delete_sql = "DELETE FROM prospects WHERE id='$prospect_id'";
		if($conn->query($delete_sql) === TRUE) {

			// DELETE VIEW COUNT
			$delete_sql1 = "DELETE FROM view_counts WHERE prospect_id='$prospect_id'";
			$conn->query($delete_sql1);

			// DELETE VIEW COUNT
			$delete_sql2 = "DELETE FROM eshots WHERE prospect_id='$prospect_id'";
			$conn->query($delete_sql2);

			// DELETE VIEW COUNT
			$delete_sql3 = "DELETE FROM trackings WHERE prospect_id='$prospect_id'";
			$conn->query($delete_sql3);

			echo json_encode(array('status' => true, 'token' => $token, 'msg' => 'Successfully removed'));
		} else {
			echo json_encode(array('status' => true, 'token' => '', 'msg' => 'Error! when deleting'));
		}
		// CLOSE DB CONNECTION
		$conn->close();
	}

	function send_email($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$user_id      = $_SESSION['User']['id'];
		$sender_name  = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
		$sender_email = $_SESSION['User']['email'];
		$sender_phone = $_SESSION['User']['phone'];

		// GET POSTED DATA
		$email      = $data['email'];
		$type       = $data['type'];
		$token      = md5(rand());
		$subject    = mysqli_real_escape_string($conn, $data['subject']);
		$message    = $data['message'];
		$curr_year  = date('Y');
		$created    = date('Y-m-d H:i:s');
		$first_name = $data['first_name'];
		$trackingid = substr(md5(rand()), 0, 10);
		$prospect_id = $data['prospect_id'];

		// CONTENT REPLACEMENT
		$template_html = str_replace('FIRST_NAME', $first_name, $message);

		// BUILD THE TEMPLATE
		$template = '<!DOCTYPE html> <html lang="en"> <head> <meta charset="UTF-8"> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <title>Anovite</title> <style> @import url(\'https://fonts.cdnfonts.com/css/calibri\'); body { margin: 0; padding: 0; } .container { max-width: 600px; margin: 0 auto; font-size: 16px; font-family: \'Calibri\', sans-serif; background-color: #f2f2f2; } .content{ padding: 15px; min-height:300px;} .header img { max-width: 100%; height: auto; } .footer { background-color: #29abe2; text-align: center; padding: 15px 15px; color: white;} </style> </head> <body> <div class="container"> <div class="header"> <img src="https://ghbsystem.co.uk/assets/images/email_header.jpg" alt="Header Image"> </div> <div class="content"> ' . $template_html . ' <p style="margin-bottom:5px;">Best regards</p> <h4 style="margin-top:5px;margin-bottom:0;">'. $sender_name .'</h4> <p style="margin-top:5px;">Independent Associate</p> <p style="margin:0;">Contact Details</p> <p style="margin:0;">Email: <a href="mailto:'.$sender_email .'">'.$sender_email .'</a></p> <p style="margin:0;">Phone: <a href="tel:'. $sender_phone .'">'. $sender_phone .'</a></p> </div> <div class="footer"> <p>You are receiving this email because you requested information from Anovite\'s Income Opportunity. If you do not want to hear any more about this, <a href="https://ghbsystem.co.uk/unsubscribe.php?tid='. $trackingid .'">click here</a>, and we will remove you from this series.</p> <p>&copy; '. date('Y') .' GHB. All rights reserved</p> </div> </div> <img src="https://ghbsystem.co.uk/tracking.php?tid='. $trackingid .'" alt="Image not found" style="display:none;"> </body> </html>';

		$attachment_files = $data['attachment_files']['tmp_name'];
		if(!empty($attachment_files[0]) && count($attachment_files) > 0){
			$attachments = array();
			foreach($attachment_files as $key => $file_count){
				$file = array(
					'name' => $data['attachment_files']['name'][$key],
					'type' => $data['attachment_files']['type'][$key],
					'tmp_name' => $data['attachment_files']['tmp_name'][$key],
					'error' => $data['attachment_files']['error'][$key],
					'size' => $data['attachment_files']['size'][$key]
				);
				$fileName = upload_attachment($file);
				$attachments[$key] = $fileName;
			}
		}

		//************************************//
		//******* EMAIL CONFIGURATION ********//
		//************************************//

		//Load Composer's autoloader
		require 'vendor/autoload.php';

		//Create an instance; passing `true` enables exceptions
		$mail = new PHPMailer(true);

		try {
		    //Server settings
		    $mail->SMTPDebug  = false; 
		    $mail->isSMTP();
		    $mail->Host       = 'ghbsystem.co.uk';
		    $mail->SMTPAuth   = true;
		    $mail->Username   = 'support@ghbsystem.co.uk';
		    $mail->Password   = 'San&#040206';
		    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
		    $mail->Port       = 465;

		    //Recipients
		    $mail->setFrom('support@ghbsystem.co.uk', $sender_name);
		    $mail->addAddress($email, $first_name);
		    $mail->addReplyTo($sender_email, $sender_name);

		    //Attachments
		    if(!empty($attachments) && count($attachments) > 0){
			    foreach ($attachments as $key => $fName) {
			    	$file_path = $_SERVER['DOCUMENT_ROOT'] . '/assets/files/attachments/' . $fName;
			    	$mail->addAttachment($file_path, $fName);
			    }
			}

		    //Content
		    $mail->isHTML(true);
		    $mail->Subject = $subject;
		    $mail->Body    = $template;
		    $mail->CharSet = 'UTF-8';

		    //SEND EMAIL
			if($mail->send()){

				// UPDATE EMAIL TRACKING
				$tracking_sql = "INSERT INTO trackings (user_id, prospect_id, trackingid, subject_line, delivered, created) VALUES ('$user_id', '$prospect_id', '$trackingid', '$subject', 1, '$created')";
				$conn->query($tracking_sql);

				// ADD INFO TO TRACKING
				$footprint_indc = 'personalemail';
				$footprint_desc = 'Personal email has been sent';
				$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$user_id', '$prospect_id', '$footprint_desc', '$footprint_indc', '$created')";
				$conn->query($footprint_sql);

				echo json_encode(array('status' => true, 'token' => $token, 'msg' => 'Email sent'));
			} else {

				// UPDATE EMAIL TRACKING
				$tracking_sql = "INSERT INTO trackings (user_id, prospect_id, trackingid, subject_line, bounced, created) VALUES ('$user_id', '$prospect_id', '$trackingid', '$subject', 1, '$created')";
				$conn->query($tracking_sql);

				echo json_encode(array('status' => false, 'token' => '', 'msg' => 'Error! when sending email'));
			}
		} catch (Exception $e) {
		    //echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
		    echo json_encode(array('status' => false, 'token' => '', 'msg' => 'Error! when sending email'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function send_sms($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$user_id      = $_SESSION['User']['id'];
		$sender_name  = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
		$sender_email = $_SESSION['User']['email'];
		$sms_credit   = $_SESSION['User']['sms_credit'];

		// GET POSTED DATA
		$dial_code  = $data['dial_code'];
		$phone      = $data['phone'];
		$type       = $data['type'];
		$message    = $data['message'];
		$token      = md5(rand());
		$curr_year  = date('Y');
		$created    = date('Y-m-d H:i:s');
		$first_name = $data['first_name'];
		$prospect_id = $data['prospect_id'];

		if($sms_credit > 0){

			// CONTENT REPLACEMENT
			$sms_template = str_replace('FIRST_NAME', $first_name, $message);

			// REMOVE ALL SPECIAL CHARACTERS FROM A PHONE NUMBER
			preg_match_all('!\d+!', $phone, $matches);
			$phone_number = implode('', $matches[0]);
			$recipient   = '+' . $dial_code . $phone_number;

			// SEND SMS
			$api_url   = "https://rest.clicksend.com/v3/sms/send";
			$authToken = base64_encode("cliff@cliffwalker.com:C1B8D7CC-21BE-6F8F-15C3-2327F3207AE0");
			$headers   = array();
			$headers[] = 'Content-type: application/json';
			$headers[] = 'Authorization: Basic ' . $authToken;

			// CREATE MESSAGE DATA
			$sms_data =  array(
				'messages' => [array(
					'to'   => $recipient,
					'body' => $sms_template,
					'from' => 'GHB'
				)]
			);

		    // MAKE CURL POST REQUEST TO SEND MESSAGE
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $api_url);
			curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
			curl_setopt($ch, CURLOPT_POST, 1);
			curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($sms_data));
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			$sms_result_data = curl_exec($ch);
			curl_close($ch);

			$check_sms = json_decode($sms_result_data, true);
			if($check_sms['http_code'] == 200 && $check_sms['response_code'] == 'SUCCESS'){

				// UPDATE SMS CREDIT
			    $current_credit = $sms_credit - 1;
			    $update_sql = "UPDATE users SET sms_credit='$current_credit' WHERE id='$user_id'";
				if($conn->query($update_sql) === TRUE) {

				    $user_sql = "SELECT * FROM users WHERE id='$user_id' LIMIT 1";
					$result   = $conn->query($user_sql);
					$updated_info = $result->fetch_assoc();

					$_SESSION['User']     = $updated_info;
					$_SESSION['loggedin'] = true;
				}

				// ADD INFO TO FOOTPRINT
				$footprint_indc = 'personalsms';
				$footprint_desc = 'Personal sms has been sent';
				$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$user_id', '$prospect_id', '$footprint_desc', '$footprint_indc', '$created')";
				$conn->query($footprint_sql);

				echo json_encode(array('status' => true, 'token' => $token, 'msg' => 'SMS sent'));
			} else {
				echo json_encode(array('status' => false, 'token' => '', 'msg' => 'Error! when sending sms'));	
			}
		} else {
			echo json_encode(array('status' => false, 'token' => '', 'msg' => 'You do not have sufficient sms credit'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function bulkemail_sending($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$user_id      = $_SESSION['User']['id'];
		$sender_email = $_SESSION['User']['email'];
		$sender_name  = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
		$sender_phone = $_SESSION['User']['phone'];

		$type      = $data['type'];
		$token     = md5(rand());
		$subject   = $data['subject'];
		$message   = $data['message'];
		$curr_year = date('Y');
		$created   = date('Y-m-d H:i:s');

		$start_date = date('Y-m-d H:i:s', strtotime(str_replace('/', '-', $data['start_date'])));
		$end_date = date('Y-m-d H:i:s', strtotime(str_replace('/', '-', $data['end_date'])));

		$recipients  = array();
		$first_names = array();
		$prospect_ids = array();
		if($type == 'all'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'allus'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND country='US'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'alluk'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND country='GB'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'emailopen'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND email_open=1 AND created BETWEEN '$start_date' AND '$end_date'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'presentation'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND presentation_click=1 AND created BETWEEN '$start_date' AND '$end_date'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if ($type == 'custom') {

			$pids = implode(',', $data['pids']);

			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE id IN ($pids)";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else {
			// DO SOMETHING ELSE
			$recipients = array();
			$first_names = array();
			$prospect_ids = array();
		}

		$attachment_files = $data['attachment_files']['tmp_name'];
		if(!empty($attachment_files[0]) && count($attachment_files) > 0){
			$attachments = array();
			foreach($attachment_files as $key => $file_count){
				$file = array(
					'name' => $data['attachment_files']['name'][$key],
					'type' => $data['attachment_files']['type'][$key],
					'tmp_name' => $data['attachment_files']['tmp_name'][$key],
					'error' => $data['attachment_files']['error'][$key],
					'size' => $data['attachment_files']['size'][$key]
				);
				$fileName = upload_attachment($file);
				$attachments[$key] = $fileName;
			}
		}

		//************************************//
		//******* EMAIL CONFIGURATION ********//
		//************************************//

		//Load Composer's autoloader
		require 'vendor/autoload.php';

		//Create an instance; passing `true` enables exceptions
		$mail = new PHPMailer(true);

		try {
		    //Server settings
		    $mail->SMTPDebug = false; 
		    $mail->isSMTP();
		    $mail->Host       = 'ghbsystem.co.uk';
		    $mail->SMTPAuth   = true;
		    $mail->Username   = 'support@ghbsystem.co.uk';
		    $mail->Password   = 'San&#040206';
		    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
		    $mail->Port       = 465;

		    //Recipients
		    $mail->setFrom('support@ghbsystem.co.uk', $sender_name);
		    $mail->addReplyTo($sender_email, $sender_name);

		    //Attachments
		    if(!empty($attachments) && count($attachments) > 0){
			    foreach ($attachments as $key => $fName) {
			    	$file_path = $_SERVER['DOCUMENT_ROOT'] . '/assets/files/attachments/' . $fName;
			    	$mail->addAttachment($file_path, $fName);
			    }
			}

		    foreach ($recipients as $key => $recipient) {

		    	// GENERATE TRACKING ID
		    	$prospect_id = $prospect_ids[$key];
		    	$trackingid = substr(md5(rand()), 0, 10);

		    	// Clear recipients from the previous loop
        		$mail->clearAddresses();

        		// CONTENT REPLACEMENT
				$template_html = str_replace('FIRST_NAME', $first_names[$key], $message);

				// BUILD THE TEMPLATE
				$template = '<!DOCTYPE html> <html lang="en"> <head> <meta charset="UTF-8"> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <title>Anovite</title> <style> @import url(\'https://fonts.cdnfonts.com/css/calibri\'); body { margin: 0; padding: 0; } .container { max-width: 600px; margin: 0 auto; font-size: 16px; font-family: \'Calibri\', sans-serif; background-color: #f2f2f2; } .content{ padding: 15px; min-height:300px;} .header img { max-width: 100%; height: auto; } .footer { background-color: #29abe2; text-align: center; padding: 15px 15px; color: white;} </style> </head> <body> <div class="container"> <div class="header"> <img src="https://ghbsystem.co.uk/assets/images/email_header.jpg" alt="Header Image"> </div> <div class="content"> ' . $template_html . ' <p style="margin-bottom:5px;">Best regards</p> <h4 style="margin-top:5px;margin-bottom:0;">'. $sender_name .'</h4> <p style="margin-top:5px;">Independent Associate</p> <p style="margin:0;">Contact Details</p> <p style="margin:0;">Email: <a href="mailto:'.$sender_email .'">'.$sender_email .'</a></p> <p style="margin:0;">Phone: <a href="tel:'. $sender_phone .'">'. $sender_phone .'</a></p> </div> <div class="footer"> <p>You are receiving this email because you requested information from Anovite\'s Income Opportunity. If you do not want to hear any more about this, <a href="https://ghbsystem.co.uk/unsubscribe.php?tid='. $trackingid .'">click here</a>, and we will remove you from this series.</p> <p>&copy; '. date('Y') .' GHB. All rights reserved</p> </div> </div> <img src="https://ghbsystem.co.uk/tracking.php?tid='. $trackingid .'" alt="Image not found" style="display:none;"> </body> </html>';

		        $mail->addAddress($recipient);

		        //Content
			    $mail->isHTML(true);
			    $mail->Subject = $subject;
			    $mail->Body    = $template;
			    $mail->CharSet = 'UTF-8';
			    $mail->send();

			    // ADD INFO TO FOOTPRINT
				$footprint_indc = 'personalemail';
				$footprint_desc = 'Personal email has been sent (Subject: '. $subject .')';
				$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$user_id', '$prospect_id', '$footprint_desc', '$footprint_indc', '$created')";
				$conn->query($footprint_sql);
		    }

		    echo json_encode(array('status' => true, 'token' => $token, 'msg' => 'Your email has been sent'));
		} catch (Exception $e) {
		   	// do something else
			echo json_encode(array('status' => false, 'token' => '', 'msg' => 'Error when sending email'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function bulksms_sending($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$user_id      = $_SESSION['User']['id'];
		$sms_credit   = $_SESSION['User']['sms_credit'];
		$sender_email = $_SESSION['User']['email'];
		$sender_name  = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];

		$type      = $data['type'];
		$token     = md5(rand());
		$message   = $data['message'];
		$curr_year = date('Y');
		$created   = date('Y-m-d H:i:s');

		$start_date = date('Y-m-d H:i:s', strtotime(str_replace('/', '-', $data['start_date'])));
		$end_date = date('Y-m-d H:i:s', strtotime(str_replace('/', '-', $data['end_date'])));

		$recipients   = array();
		$dial_codes   = array();
		$first_names  = array();
		$prospect_ids = array();
		if($type == 'all'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($prospect_ids, $prospect_row['id']);
					array_push($recipients, $prospect_row['phone']);
					array_push($dial_codes, $prospect_row['dial_code']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'allus'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND country='US'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($prospect_ids, $prospect_row['id']);
					array_push($recipients, $prospect_row['phone']);
					array_push($dial_codes, $prospect_row['dial_code']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'alluk'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND country='GB'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($prospect_ids, $prospect_row['id']);
					array_push($recipients, $prospect_row['phone']);
					array_push($dial_codes, $prospect_row['dial_code']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'emailopen'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND email_open=1 AND created BETWEEN '$start_date' AND '$end_date'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($prospect_ids, $prospect_row['id']);
					array_push($recipients, $prospect_row['phone']);
					array_push($dial_codes, $prospect_row['dial_code']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'presentation'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND presentation_click=1 AND created BETWEEN '$start_date' AND '$end_date'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($prospect_ids, $prospect_row['id']);
					array_push($recipients, $prospect_row['phone']);
					array_push($dial_codes, $prospect_row['dial_code']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if ($type == 'custom') {

			$pids = implode(',', $data['pids']);

			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE id IN ($pids)";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($prospect_ids, $prospect_row['id']);
					array_push($recipients, $prospect_row['phone']);
					array_push($dial_codes, $prospect_row['dial_code']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else {
			// DO SOMETHING ELSE
			$recipients   = array();
			$dial_codes   = array();
			$first_names  = array();
			$prospect_ids = array();
		}

		if($sms_credit >= count($recipients)){

			$sms_counter = 0;
			foreach ($recipients as $key => $recipient) {

		    	// GET PROSPECT ID
		    	$prospect_id = $prospect_ids[$key];

	    		// CONTENT REPLACEMENT
				$sms_template = str_replace('FIRST_NAME', $first_names[$key], $message);

				if(!empty($recipient)){

					// REMOVE ALL SPECIAL CHARACTERS FROM A PHONE NUMBER
					preg_match_all('!\d+!', $recipient, $matches);
					$phone_number = implode('', $matches[0]);
					$sms_number   = '+' . $dial_codes[$key] . $phone_number;

					// SEND SMS
					$api_url   = "https://rest.clicksend.com/v3/sms/send";
					$authToken = base64_encode("cliff@cliffwalker.com:C1B8D7CC-21BE-6F8F-15C3-2327F3207AE0");
					$headers   = array();
					$headers[] = 'Content-type: application/json';
					$headers[] = 'Authorization: Basic ' . $authToken;

					// CREATE MESSAGE DATA
					$sms_data =  array(
						'messages' => [array(
							'to'   => $sms_number,
							'body' => $sms_template,
							'from' => 'GHB'
						)]
					);

				    // MAKE CURL POST REQUEST TO SEND MESSAGE
					$ch = curl_init();
					curl_setopt($ch, CURLOPT_URL, $api_url);
					curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
					curl_setopt($ch, CURLOPT_POST, 1);
					curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($sms_data));
					curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
					$sms_result_data = curl_exec($ch);
					curl_close($ch);

					$sms_counter++;

				    // ADD INFO TO FOOTPRINT
					$footprint_indc = 'personalsms';
					$footprint_desc = 'Personal sms has been sent';
					$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$user_id', '$prospect_id', '$footprint_desc', '$footprint_indc', '$created')";
					$conn->query($footprint_sql);
				}
		    }

		    // UPDATE SMS CREDIT
		    $current_credit = $sms_credit - $sms_counter;
		    $update_sql = "UPDATE users SET sms_credit='$current_credit' WHERE id='$user_id'";
			if($conn->query($update_sql) === TRUE) {

			    $user_sql = "SELECT * FROM users WHERE id='$user_id' LIMIT 1";
				$result   = $conn->query($user_sql);
				$updated_info = $result->fetch_assoc();

				$_SESSION['User']     = $updated_info;
				$_SESSION['loggedin'] = true;
			}

		    echo json_encode(array('status' => true, 'token' => $token, 'msg' => 'Your sms has been sent'));
		} else {
			echo json_encode(array('status' => false, 'token' => $token, 'msg' => 'You do not have sufficient sms credit'));
		}
		// CLOSE DB CONNECTION
		$conn->close();
	}

	function video_upload($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$user_id  = $_SESSION['User']['id'];
		$name     = $data['name'];
		$file     = $data['video'];
		$tmp_name = $data['video']['tmp_name'];
		$filename = upload_video($file);
		$created  = date('Y-m-d H:i:s');

		$add_sql = "INSERT INTO streams (user_id, name, filename, created) VALUES ('$user_id', '$name', '$filename', '$created')";
		if($conn->query($add_sql) === TRUE){
			$sid  = $conn->insert_id;
			echo json_encode(array('status' => true, 'sid' => $sid, 'name' => $name, 'msg' => 'Video uploaded successfully'));
		} else {
			echo json_encode(array('status' => false, 'sid' => '', 'name' => '', 'msg' => 'Error when upoading video'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function video_message($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$user_id      = $_SESSION['User']['id'];
		$sender_email = $_SESSION['User']['email'];
		$sender_name  = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];

		$type       = $data['type'];
		$token      = md5(rand());
		$subject    = mysqli_real_escape_string($conn, $data['subject']);
		$message    = $data['message'];
		$curr_year  = date('Y');
		$video_name = $data['videoname'];
		$stream_id  = substr(rand(), 0, 6) . $data['streamid'];
		$created    = date('Y-m-d H:i:s');

		$start_date = date('Y-m-d H:i:s', strtotime(str_replace('/', '-', $data['start_date'])));
		$end_date = date('Y-m-d H:i:s', strtotime(str_replace('/', '-', $data['end_date'])));

		$recipients  = array();
		$first_names = array();
		$prospect_ids = array();

		if($type == 'all'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'allus'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND country='US'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'alluk'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND country='GB'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'emailopen'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND email_open=1 AND created BETWEEN '$start_date' AND '$end_date'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if($type == 'presentation'){
			
			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE user_id='$user_id' AND presentation_click=1 AND created BETWEEN '$start_date' AND '$end_date'";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else if ($type == 'custom') {

			$pids = implode(',', $data['pids']);

			// FIND ALL PARTNERS
			$prospect_sql    = "SELECT * FROM prospects WHERE id IN ($pids)";
			$prospect_result = $conn->query($prospect_sql);
			if($prospect_result->num_rows > 0){
				while ($prospect_row = $prospect_result->fetch_assoc()) {
					array_push($recipients, $prospect_row['email']);
					array_push($prospect_ids, $prospect_row['id']);
					array_push($first_names, $prospect_row['first_name']);
				}
			}
		} else {
			// DO SOMETHING ELSE
			$recipients = array();
			$first_names = array();
			$prospect_ids = array();
		}

		//************************************//
		//******* EMAIL CONFIGURATION ********//
		//************************************//

		//Load Composer's autoloader
		require 'vendor/autoload.php';

		//Create an instance; passing `true` enables exceptions
		$mail = new PHPMailer(true);

		try {
		    //Server settings
		    $mail->SMTPDebug  = false; 
		    $mail->isSMTP();
		    $mail->Host       = 'ghbsystem.co.uk';
		    $mail->SMTPAuth   = true;
		    $mail->Username   = 'support@ghbsystem.co.uk';
		    $mail->Password   = 'San&#040206';
		    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
		    $mail->Port       = 465;

		    //Recipients
		    $mail->setFrom('support@ghbsystem.co.uk', $sender_name);
		    $mail->addReplyTo($sender_email, $sender_name);

		    foreach ($recipients as $key => $recipient) {

		    	// GENERATE TRACKING ID
		    	$prospect_id = $prospect_ids[$key];
		    	$trackingid = substr(md5(rand()), 0, 10);

		    	// Clear recipients from the previous loop
        		$mail->clearAddresses();

        		// CREATE VIDEO TEMPLATE
        		$video_url = 'https://ghbsystem.co.uk/presentation.php?pid=' . $prospect_id . '&sid=' . $stream_id . '&token=' . $token;
				$video_url_tmp = '<div style="text-align:center;"><a href="'. $video_url .'"><img src="https://ghbsystem.co.uk/assets/images/video_thumbnail.jpg" alt="Image not found"></a></div>';

        		// REPLACE VIDEO URL
				$replace_first_name = str_replace('FIRST_NAME', $first_names[$key], $message);
				$template_html = str_replace('VIDEO_URL', $video_url_tmp, $replace_first_name);

				// BUILD THE TEMPLATE
				$template = '<!DOCTYPE html> <html lang="en"> <head> <meta charset="UTF-8"> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <title>Anovite</title> <style> @import url(\'https://fonts.cdnfonts.com/css/calibri\'); body { margin: 0; padding: 0; } .container { max-width: 600px; margin: 0 auto; font-size: 16px; font-family: \'Calibri\', sans-serif; background-color: #f2f2f2; } .content{ padding: 15px; min-height:300px;} .header img { max-width: 100%; height: auto; } .footer { background-color: #29abe2; text-align: center; padding: 15px 15px; color: white;} </style> </head> <body> <div class="container"> <div class="header"> <img src="https://ghbsystem.co.uk/assets/images/email_header.jpg" alt="Header Image"> </div> <div class="content"> ' . $template_html . ' </div> <div class="footer"> <p>You are receiving this email because you requested information from Anovite\'s Income Opportunity. If you do not want to hear any more about this, <a href="https://ghbsystem.co.uk/unsubscribe.php?tid='. $trackingid .'">click here</a>, and we will remove you from this series.</p> <p>&copy; '. date('Y') .' GHB. All rights reserved</p> </div> </div> <img src="https://ghbsystem.co.uk/tracking.php?tid='. $trackingid .'" alt="Image not found" style="display:none;"> </body> </html>';

		        $mail->addAddress($recipient);

		        //Content
			    $mail->isHTML(true);
			    $mail->Subject = $subject;
			    $mail->Body    = $template;
			    $mail->CharSet = 'UTF-8';
			    $mail->send();

			    // ADD INFO TO FOOTPRINT
				$footprint_indc = 'videoemail';
				$footprint_desc = 'Video email has been sent (Subject: '. $subject .')';
				$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$user_id', '$prospect_id', '$footprint_desc', '$footprint_indc', '$created')";
				$conn->query($footprint_sql);
		    }

		    //SEND EMAIL
			echo json_encode(array('status' => true, 'msg' => 'Email sent successfully'));
		} catch (Exception $e) {
		   // do something else
			echo json_encode(array('status' => false, 'msg' => 'Error when sending email'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function render_video($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$stream_id = $data['stream_id'];

		// CHECK IF THE EMAIL ALREADY EXIST
		$stream_sql = "SELECT * FROM streams WHERE id='$stream_id' LIMIT 1";
		$result = $conn->query($stream_sql);
		if($result->num_rows > 0){
			$row = $result->fetch_assoc();
			$stream_id = $row['id'];
			$stream_name = $row['name'];
			echo json_encode(array('status' => true, 'sid' => $stream_id, 'name' => $stream_name));
		} else {
			echo json_encode(array('status' => false, 'sid' => '', 'name' => ''));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function reset_template($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$user_id = $data['user_id'];
		$created = date('Y-m-d H:i:s');

		// ADD NEW TEMPLATES AGAIN
		$template_sql    = "SELECT * FROM templates WHERE indicator IN ('bsprospect', 'bsassociate') ORDER BY priority ASC";
		$template_result = $conn->query($template_sql);

		if($template_result->num_rows > 0){

			while($row = $template_result->fetch_assoc()) {

				$priority     = mysqli_real_escape_string($conn, $row['priority']);
				$time_unit    = mysqli_real_escape_string($conn, $row['time_unit']);
				$indicator    = mysqli_real_escape_string($conn, $row['indicator']);
				$subject_line = mysqli_real_escape_string($conn, $row['subject_line']);
				$html_content = mysqli_real_escape_string($conn, $row['html_content']);
				$sending_time = mysqli_real_escape_string($conn, $row['sending_time']);

				// CHECK IF ALREADY EXIST
				$ptemplate_sql = "SELECT * FROM ptemplates WHERE user_id='$user_id' AND indicator='$indicator' AND priority='$priority' LIMIT 1";
				$ptemplate_result = $conn->query($ptemplate_sql);
				if($ptemplate_result->num_rows > 0){
					$update_sql = "UPDATE ptemplates SET subject_line='$subject_line', html_content='$html_content', sending_time='$sending_time', time_unit='$time_unit', priority='$priority' WHERE user_id='$user_id' AND indicator='$indicator' AND priority='$priority'";
					$conn->query($update_sql);
				} else {
					// SCHEDULE TEMPLATES
					$newptemplate_sql = "INSERT INTO ptemplates (user_id, subject_line, html_content, sending_time, time_unit, indicator, priority, created) VALUES ('$user_id', '$subject_line', '$html_content', '$sending_time', '$time_unit', '$indicator', '$priority', '$created')";
					$conn->query($newptemplate_sql);
				}
			}

			echo json_encode(array('status' => true, 'msg' => 'Templates Successfully updated'));
		} else {
			echo json_encode(array('status' => false, 'msg' => 'Error!! when updating templates'));
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}

	function update_template($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$user_id      = mysqli_real_escape_string($conn, $data['user_id']);
		$subject_line = mysqli_real_escape_string($conn, $data['subject_line']);
		$html_content = mysqli_real_escape_string($conn, $data['html_content']);
		$ptemplate_id = mysqli_real_escape_string($conn, $data['ptemplate_id']);

		// UPLOAD IMAGE
		$update_sql = "UPDATE ptemplates SET subject_line='$subject_line', html_content='$html_content' WHERE id=$ptemplate_id";
		if($conn->query($update_sql) === TRUE) {

			echo json_encode(array('status' => true, 'msg' => 'Template successfully updated'));
		} else {
			 $err = $conn->error;
			echo json_encode(array('status' => false, 'msg' => 'Error! updating template'));
		}
		// CLOSE DB CONNECTION
		$conn->close();
	}

	function start_followup($data){

		// OPEN DB CONNECTION
		require('dbconfig.php');

		$prospect_id = mysqli_real_escape_string($conn, $data['prospect_id']);
		$type    = mysqli_real_escape_string($conn, $data['type']);
		$user_id = $_SESSION['User']['id'];
		$token   = md5(rand());
		$curr_year   = date('Y');
		$created     = date('Y-m-d H:i:s');

		// FIND REFERRER
		$sender_sql     = "SELECT * FROM users WHERE id='$user_id' LIMIT 1";
		$sender_result  = $conn->query($sender_sql);
		$sender_row     = $sender_result->fetch_assoc();
		$sender_fname   = $sender_row['first_name'];
		$sender_name    = $sender_row['first_name'] . ' ' . $sender_row['last_name'];
		$sender_email   = $sender_row['email'];
		$business_link  = $sender_row['business_link'];

		$prospect_sql    = "SELECT * FROM prospects WHERE id='$prospect_id' LIMIT 1";
		$prospect_result = $conn->query($prospect_sql);
		$prospect_row    = $prospect_result->fetch_assoc();
		$first_name      = $prospect_row['first_name'];
		$prospect_name   = $prospect_row['first_name'] . ' ' . $prospect_row['last_name'];
		$prospect_email  = $prospect_row['email'];

		if(empty($prospect_email)){
			echo json_encode(array('status' => false, 'token' => '', 'msg' => 'Prospect has no email id'));
		} else {

			if($type == 'bsprospect'){

				// CREATE 7 MIN VIDEO LINK
				$sevenvideo_link = $business_link . '?uid=' . $user_id . '&pid=' . $prospect_id . '&token=' . $token;

				// FIND TEMPLATES
				$template_sql    = "SELECT * FROM ptemplates WHERE user_id=$user_id AND indicator='bsprospect'";
				$template_result = $conn->query($template_sql);
				if($template_result->num_rows > 0){

					while($template_row = $template_result->fetch_assoc()) {

						$template_id  = $template_row['id'];
						$time_unit    = $template_row['time_unit'];
						$sending_time = $template_row['sending_time'];

						// PICK THE CURRENT SERVER TIME
						$curr_date = date('Y-m-d H:i:s');

						if($sending_time == 0){
							$mailshot_date = date('Y-m-d H:i:s', strtotime('+ 1 minute', strtotime($curr_date)));
						} else if($sending_time == 1){
							$mailshot_date = date('Y-m-d H:i:s', strtotime('+ ' . $sending_time . ' ' . $time_unit, strtotime($curr_date)));
						} else {
							$mailshot_date = date('Y-m-d H:i:s', strtotime('+ ' . $sending_time . ' ' . $time_unit, strtotime($curr_date)));
						}

						// SCHEDULE TEMPLATES
						$eshot_sql = "INSERT INTO eshots (user_id, prospect_id, template_id, mailshot_date, is_autoresponder, created) VALUES ('$user_id', '$prospect_id', '$template_id', '$mailshot_date', 1, '$created')";
						$conn->query($eshot_sql);
					}
				}

				// ADD INFO TO TRACKING
				$footprint_indc = 'startfollowup';
				$footprint_desc = 'Business followup email has been initiated';
				$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$user_id', '$prospect_id', '$footprint_desc', '$footprint_indc', '$created')";
				$conn->query($footprint_sql);

				echo json_encode(array('status' => true, 'token' => $token, 'msg' => 'Business auto followup started successfully'));
			} else {
				echo json_encode(array('status' => false, 'token' => '', 'msg' => 'Invalid prospect type'));
			}
		}

		// CLOSE DB CONNECTION
		$conn->close();
	}