<?php 
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);
	
	if(!$_SESSION['loggedin']) {
		header("Location: login.php");exit;
	}

	$user_id = $_SESSION['User']['id'];
	$role 	 = $_SESSION['User']['role'];
	$user_name = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
    $profile_image = $_SESSION['User']['image'] ? 'assets/images/users/' . $_SESSION['User']['image'] : 'assets/images/users/no_image.jpg';

	// OPEN DB CONNECTION
	require('dbconfig.php');

	$templates       = array();
	$template_sql    = "SELECT * FROM ptemplates WHERE user_id=$user_id ORDER BY priority ASC";
	$template_result = $conn->query($template_sql);

	$flag = false;
	if($template_result->num_rows > 0){
		while($template_row = $template_result->fetch_assoc()) {
			$templates[] = $template_row;
		}
	} else {
		$flag = true;
	}
	$conn->close();
?>
<!doctype html>
<html lang="en">

<head>

	<meta charset="utf-8" />
	<title>Preview Template | Anovite - Admin & Dashboard</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="Anovite Admin & Dashboard" name="description" />
  <meta content="Global Home Business" name="author" />

	<!-- App favicon -->
	<link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

	<!-- Bootstrap Css -->
	<link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
	<!-- Icons Css -->
	<link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
	<!-- App Css-->
	<link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
	<!-- App js -->
	<script src="assets/js/plugin.js?v=09889"></script>

	<link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

</head>

<body data-sidebar="dark">

	<div class="splash">
	    <div class="spinner-container">
	        <center><div class="splash-icon"></div></center>
	        <div class="loading-text">Processing your request...</div>
	    </div>
	</div>

	<div class="toast-container position-fixed bottom-0 end-0">
		<div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
			<div class="toast-header">
				<img src="assets/images/logo-sm.png" height="25" class="rounded me-2" alt="Image not found">
				<strong class="me-auto">Message</strong>
				<small class="text-muted">Just now</small>
				<button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
			</div>
			<div class="toast-body">

			</div>
		</div>
	</div>

	<!-- EMAIL PREVIEW MODAL -->
	<div class="modal fade" id="previewModal" tabindex="-1" aria-labelledby="previewModalLabel" aria-hidden="true">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <h5 class="text-dark m-0" id="previewModalLabel">Email template preview</h5>
	        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>    
	      </div>
	      <div class="modal-body">
	        <div class="etmpl-body template-preview">
	        	
	        </div>
	      </div>
	    </div>
	  </div>
	</div>

	<!-- Begin page -->
	<div id="layout-wrapper">

		<?php include_once 'header.php'; ?>

		<!-- ========== Left Sidebar Start ========== -->
		<?php include_once 'sidebar.php'; ?>
		<!-- Left Sidebar End -->

		<!-- ============================================================== -->
	    <!-- Start right Content here -->
	    <!-- ============================================================== -->
	    <div class="main-content">

	        <div class="page-content">
	            <div class="container-fluid">

	                <!-- start page title -->
	                <div class="row">
	                    <div class="col-12">
	                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
	                            <h4 class="mb-sm-0 font-size-18">Preview</h4>
	                            <div class="page-title-right">
	                                <ol class="breadcrumb m-0">
	                                    <li class="breadcrumb-item"><a href="templates.php?token=<?php echo md5(rand());?>">Templates</a></li>
	                                    <li class="breadcrumb-item active">view</li>
	                                </ol>
	                            </div>

	                        </div>
	                    </div>
	                </div>
	                <!-- end page title -->

	                <div class="row">
	                    <div class="col-12">
	                        <div class="card">
	                            <div class="card-body">

	                                <h4 class="card-title">Preview Templates</h4>
	                                <p class="card-title-desc">Previewing Email Templates: Ensuring Design and Content Excellence</p>
	                                <div class="table-reponsive">
								    	<table id="dataTable" class="table table-sm table-striped table-bordered">
											<thead>
												<tr>
													<th>No.</th>
													<th>Subject</th>
													<th>Frequency</th>
													<th>Action</th>
												</tr>
											</thead>
											<tbody>
												<tr>
													<td colspan="4" class="fw-bold">Prospect Templates</td>
												</tr>
												<?php $count=0; foreach ($templates as $key => $template) :?>
												<?php if($template['indicator'] == 'bsprospect'):?>
												<tr>
													<td><?php echo $count+1; ?></td>
													<td><?php echo $template['subject_line']; ?></td>
													<td><?php echo $template['sending_time'] . ' ' . $template['time_unit']; ?></td>
													<td>
														<a href="#" class="btn btn-warning etmpl-preview"><i class="fa fa-search"></i> Preview</a>
														<div class="etmpl-html d-none">
															<div class="template-header text-center mb-4">
																<img src="https://ghbsystem.co.uk/assets/images/email_header.jpg" class="img-fluid" alt="Image not found">
															</div>
															<div class="template-body mb-4">
																<?php echo $template['html_content']; ?>
															</div>
															<div class="template-footer text-center py-4" style="background:#29abe2;">
																<p class="text-white">You are receiving this email because you requested information from Anovite's Income Opportunity. If you do not want to hear any more about this, <a href="javascript:;">click here</a>, and we will remove you from this series.</p>
																<p class="m-0 text-white">&copy; <?php echo date('Y'); ?> Anovite. All rights reserved.</p>
															</div>
														</div>
													</td>
												</tr>
												<?php $count++; endif; ?>
												<?php endforeach; ?>
												<tr>
													<td colspan="4" class="fw-bold">Associate Templates</td>
												</tr>
												<?php $count1=0; foreach ($templates as $key => $template) : ?>
												<?php if($template['indicator'] == 'bsassociate'): ?>
												<tr>
													<td><?php echo $count1+1; ?></td>
													<td><?php echo $template['subject_line']; ?></td>
													<td><?php echo $template['sending_time'] . ' ' . $template['time_unit']; ?></td>
													<td>
														<a href="#" class="btn btn-warning etmpl-preview"><i class="fa fa-search"></i> Preview</a>
														<div class="etmpl-html d-none">
															<div class="template-header text-center mb-4">
																<img src="https://ghbsystem.co.uk/assets/images/email_header.jpg" class="img-fluid" alt="Image not found">
															</div>
															<div class="template-body mb-4">
																<?php echo $template['html_content']; ?>
															</div>
															<div class="template-footer text-center py-4" style="background:#29abe2;">
																<p class="text-white">You are receiving this email because you requested information from Anovite's Income Opportunity. If you do not want to hear any more about this, <a href="javascript:;">click here</a>, and we will remove you from this series.</p>
																<p class="m-0 text-white">&copy; <?php echo date('Y'); ?> Anovite. All rights reserved.</p>
															</div>
														</div>
													</td>
												</tr>
												<?php $count1++; endif; ?>
												<?php endforeach; ?>
											</tbody>
										</table>
									</div>
	                            </div>
	                        </div>
	                    </div> <!-- end col -->
	                </div> <!-- end row -->

	            </div> <!-- container-fluid -->
	        </div>
	        <!-- End Page-content -->

	        
	        <?php include_once 'footer.php'; ?>
	    </div>
	    <!-- end main content-->

	</div>
	<!-- END layout-wrapper -->

	<!-- JAVASCRIPT -->
	<script src="assets/libs/jquery/jquery.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
	<script src="assets/libs/metismenu/metisMenu.min.js"></script>
	<script src="assets/libs/simplebar/simplebar.min.js"></script>
	<script src="assets/libs/node-waves/waves.min.js"></script>
	
	<!-- validation init -->
	<script src="assets/libs/validator/jquery.validate.min.js"></script>
  	<script src="assets/libs/validator/additional-methods.min.js"></script>

	<script src="assets/js/app.js"></script>
	<script src="assets/js/custom.js?v=<?php echo rand();?>"></script>
	<script type="text/javascript">
		$(document).ready(function(){
			$(document).on('click', '.etmpl-preview', function(e){
				e.preventDefault();
				var etmplHtml = $(this).siblings('.etmpl-html').html();
				$('.etmpl-body').empty().append(etmplHtml);
				$('#previewModal').modal('show');
			});
		});
	</script>
</body>

</html>
